#include <AccelStepper.h> //vordefinierte Bibliothek

AccelStepper stepper(1,9,8); //1=Treiberboard(definiert), Schritt, Richtung
int sollweg = -300; // sollweg in mm; 66/200 = 0,33 (Übersetzung = 66 mm/Umdrehung -> ZLW/-OD-1040Basic Datenblatt, 200 = Auflösung bei 1,8° Schrittwinkel)  
double Schritt = 0.33; //noch festzulegen: Verhältnis, um absolute Distanzen anzufahren
double Verfahr = sollweg/Schritt; //Zuordnen des Verfahrweg --> Verfahr = Anzahl der Schritte für den gewünschten Weg
//int Verfahr = 3;

//vorwärts fahren = 1, rückwärts fahren = 0 --> Directionsignal, wird automatisch im Programm umgesetzt

void setup()
 {
        stepper.setMaxSpeed(2500);//Schrittfrequenz Geschwindigkeit
        stepper.setAcceleration(900000);//Beschleunigung --> Frequenzänderung
        stepper.setCurrentPosition(0); //Referenzposition = 0 setzen
 }
 
 void loop()
 {
         stepper.moveTo(Verfahr);             //Festlegen des Weges (Absolute Position)
	 Verfahren();                  //Unterprogramm Verfahren() ausführen
 }
  
  
 void Verfahren() 
{
		if (stepper.currentPosition() != Verfahr) //solange bis Position erreicht "run"
                {
			stepper.run();
		}

        stepper.setSpeed(0);
        stepper.moveTo(stepper.currentPosition()); //Beschreiben der aktuellen Position

} 


